Bug 253350 - cache functionality of jwhois disabled in spec file
Summary: cache functionality of jwhois disabled in spec file
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: jwhois   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-18 04:19 UTC by wstearns
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-01 04:04:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description wstearns 2007-08-18 04:19:09 UTC
Description of problem:
jwhois has code to allow caching of results.  the fedora spec file has 
a "%configure --without-cache" line that disables this.

Version-Release number of selected component (if applicable):
3.2.3

How reproducible:
always

Steps to Reproduce:
1.  Uncomment "cachefile = "/var/lib/jwhois.db";" in /etc/jwhois.conf
2.  Uncomment "cacheexpire = 168;" in /etc/jwhois.conf
3.  Touch /var/lib/jwhois.db
4.  Do a whois lookup


  
Actual results:
5.  /var/lib/jwhois.db stays at 0 bytes


Expected results:
5.  /var/lib/jwhois.db should grow


Additional info:

Comment 1 Vitezslav Crhonek 2007-08-24 09:43:47 UTC
Hi, may I ask -- why do you need it? I wonder if there is widely more users,
that will use cache and benefit from it? It brings new group to the system,
solving obsolete records in cache and potential security issues.

Comment 2 Vitezslav Crhonek 2007-09-03 11:56:35 UTC
jwhois-4.0-2.fc8 is configured without disabling cache, so you can try...

Comment 3 Paul Wouters 2007-10-01 04:03:31 UTC
Indeed. It now works!
And by using the "jwhois -c /other/place/jwhois.conf" I can use caching for my
program without any setuid requirements.

Thanks!


Note You need to log in before you can comment on or make changes to this bug.